HanMacWrdKTextInternal::Section Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
HanMacWrdKTextInternal::Section Struct Reference

Internal: class to store a section of a HanMacWrdKText. More...

## Public Member Functions
| Section ()
| constructor More...
MWAWSection | getSection () const
| returns a MWAWSection More...

## Public Attributes
int | m_numCols
| the number of column More...
std::vector< double > | m_colWidth
| the columns width More...
std::vector< double > | m_colSep
| the columns separator width More...
long | m_id
| the id More...
std::string | m_extra
| extra string string More...

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<< More...

## Detailed Description

Internal: class to store a section of a HanMacWrdKText.

## Constructor & Destructor Documentation

HanMacWrdKTextInternal::Section::Section | ( |  | ) |
| inline

constructor

## Member Function Documentation

MWAWSection HanMacWrdKTextInternal::Section::getSection | ( |  | ) | const
| inline

returns a MWAWSection

Referenced by HanMacWrdKText::sendText().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<double> HanMacWrdKTextInternal::Section::m_colSep

the columns separator width

Referenced by getSection(), and HanMacWrdKText::readSections().

std::vector<double> HanMacWrdKTextInternal::Section::m_colWidth

the columns width

Referenced by HanMacWrdKText::computeNumPages(), getSection(), HanMacWrdKText::readSections(), and HanMacWrdKText::sendText().

std::string HanMacWrdKTextInternal::Section::m_extra

extra string string

Referenced by HanMacWrdKText::readSections().

long HanMacWrdKTextInternal::Section::m_id

the id

int HanMacWrdKTextInternal::Section::m_numCols

the number of column

Referenced by HanMacWrdKText::computeNumPages(), getSection(), HanMacWrdKText::readSections(), and HanMacWrdKText::sendText().

The documentation for this struct was generated from the following file:

- HanMacWrdKText.cxx